<?php

namespace App\Tests\Entity;

use App\Entity\Contrats;
use App\Entity\ContratsLine;
use PHPUnit\Framework\TestCase;

class ContratsLineTest extends TestCase
{
    public function testGettersAndSetters()
    {
        $contratsLine = new ContratsLine();
        $contrats = new Contrats();
        $name = 'Product A';
        $price1DayHt = 50.0;
        $priceSupDayHt = 10.0;
        $caution = 20.0;
        $type = 'product';

        $contratsLine->setContrat($contrats);
        $contratsLine->setName($name);
        $contratsLine->setPrice1DayHt($price1DayHt);
        $contratsLine->setPriceSupDayHt($priceSupDayHt);
        $contratsLine->setCaution($caution);
        $contratsLine->setType($type);

        $this->assertSame($contrats, $contratsLine->getContrat());
        $this->assertEquals($name, $contratsLine->getName());
        $this->assertEquals($price1DayHt, $contratsLine->getPrice1DayHt());
        $this->assertEquals($priceSupDayHt, $contratsLine->getPriceSupDayHt());
        $this->assertEquals($caution, $contratsLine->getCaution());
        $this->assertEquals($type, $contratsLine->getType());
    }
}
